Bug 815275 - path and name of squashfs.img should be consistent across all architectures.
path and name of squashfs.img should be consistent across all architectures.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
All Unspecified
high Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 05:21 EDT by Martin Banas
Modified: 2015-04-29 19:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-29 19:48:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Banas 2012-04-23 05:21:39 EDT
Description of problem:
We would like to see consistent paths and names to squashfs.img across architectures. The current situation is, that on all architectures except s390x the path is: LiveOS/squashfs.img
on s390x is: images/install.img

This is causing some visible errors and more will come. For example in dracut/anaconda-netroot.sh file there's hardcoded "LiveOS/squashfs.img" path.

    http*|ftp*)
        . /lib/url-lib.sh
        info "anaconda fetching installer from $repo"
        treeinfo=$(fetch_url $repo/.treeinfo) && \
          stage2=$(config_get stage2 mainimage < $treeinfo)
        if [ -z "$stage2" ]; then
            warn "can't find installer mainimage path in .treeinfo"
            stage2="LiveOS/squashfs.img"
        fi
        runtime=$(fetch_url $repo/$stage2) && /sbin/dmsquash-live-root $runtime
    ;;
    *)

Please reconsider which is better. We would like to see it on all architectures in following folder: images/install.img ( bug 782108 ), but opposite is also fine.

This will indeed require some other changes in code.
Comment 1 Brian Lane 2012-04-23 10:34:50 EDT
For f17 we should change the s390 path to LiveOS/squashfs.img and reevaluate the paths for F18.

I don't want to make a change like this at this point in a Fedora release.
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 10:07:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-04 01:19:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Brian Lane 2013-10-30 13:58:41 EDT
Need to re-examine this for the future. dracut can now reportedly handle other locations. We need to think about the list of tools that this will affect.
Comment 5 Brian Lane 2015-02-27 16:58:40 EST
I think we can do this for F23.

https://github.com/rhinstaller/lorax/pull/2

Note You need to log in before you can comment on or make changes to this bug.